- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.operations.reports.runs/cancel#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.operations.reports.runs/cancel#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.operations.reports.runs/cancel#body.request_body)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.operations.reports.runs/cancel#body.response_body)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.operations.reports.runs/cancel#body.aspect)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.operations.reports.runs/cancel#try-it)

Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use `Operations.GetOperation` or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.operations.reports.runs#Operation.FIELDS.error` value with a `https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.operations.reports.runs#Status.FIELDS.code` of `1`, corresponding to `Code.CANCELLED`.

### HTTP request

`POST https://admanager.googleapis.com/v1/{name}:cancel`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the operation resource to be cancelled. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).